Subject: [PATCH] arm64: Expand arm64 image header

From: [email-masked] (Catalin Marinas)
Date: Wed, 21 Aug 2013 18:30:39 +0100

On Thu, Aug 15, 2013 at 12:10:00AM +0100, Roy Franz wrote:
> Expand the arm64 image header to allow for co-existance with
> PE/COFF header required by the EFI stub.  The PE/COFF format
> requires the "MZ" header to be at offset 0, and the offset
> to the PE/COFF header to be at offset 0x3c.  The image
> header is expanded to allow 2 instructions at the beginning
> to accommodate a benign intruction at offset 0 that includes
> the "MZ" header, a magic number, and the offset to the PE/COFF
> header.
> 
> 
> Signed-off-by: Roy Franz <[email-masked]>

The patch looks fine to me. I couldn't come up with a better magic
number in 4 bytes (something that would suggest Linux kernel). If you
have a better idea let me know before the merging window (LKA64 maybe?)

Thanks.

-- 
Catalin